//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Tecan.Sila2.Interop.Server.UnobservablePropertyTest
{
    
    
    /// <summary>
    /// This feature tests a static and a dynamic unobservable property.
    /// </summary>
    [Tecan.Sila2.SilaFeatureAttribute(true, "test")]
    [Tecan.Sila2.SilaIdentifierAttribute("UnobservablePropertyTest")]
    [Tecan.Sila2.SilaDisplayNameAttribute("Unobservable Property Test")]
    public partial interface IUnobservablePropertyTest
    {
        
        /// <summary>
        /// Returns the answer to the ultimate question of life, the universe, and everything. 42.
        /// </summary>
        long AnswerToEverything
        {
            get;
        }
        
        /// <summary>
        /// Returns the unix timestamp: The time in seconds since January 1st of 1970.
        /// </summary>
        [Tecan.Sila2.SilaDisplayNameAttribute("Seconds Since 1970")]
        long SecondsSince1970
        {
            get;
        }
    }
}
